import request from '@/utils/request'

// 查询情报板类型列表
export function listType(query) {
  return request({
    url: '/boardType/type/list',
    method: 'get',
    params: query
  })
}

// 查询情报板类型详细
export function getType(id) {
  return request({
    url: '/boardType/type/' + id,
    method: 'get'
  })
}

// 新增情报板类型
export function addType(data) {
  return request({
    url: '/boardType/type',
    method: 'post',
    data: data
  })
}

// 修改情报板类型
export function updateType(data) {
  return request({
    url: '/boardType/type',
    method: 'put',
    data: data
  })
}

// 删除情报板类型
export function delType(id) {
  return request({
    url: '/boardType/type/' + id,
    method: 'delete'
  })
}
